AWS IoT Device SDK C++ v2: Aws::Greengrass::UpdateStateRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
Aws::Greengrass::UpdateStateRequest Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::UpdateStateRequest:

## Public Member Functions
| UpdateStateRequest () noexcept
| UpdateStateRequest (const UpdateStateRequest &)=default
void | SetState (ReportedLifecycleState state) noexcept
Aws::Crt::Optional< ReportedLifecycleState > | GetState () noexcept
void | SerializeToJsonObject (Aws::Crt::JsonObject &payloadObject) const noexcept override
bool | operator< (const UpdateStateRequest &) const noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
| AbstractShapeBase () noexcept
virtual | ~AbstractShapeBase () noexcept

## Static Public Member Functions
static void | s_loadFromJsonView (UpdateStateRequest &, const Aws::Crt::JsonView &) noexcept
static Aws::Crt::ScopedResource< AbstractShapeBase > | s_allocateFromPayload (Aws::Crt::StringView, Aws::Crt::Allocator *) noexcept
static void | s_customDeleter (UpdateStateRequest *) noexcept
Static Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
static void | s_customDeleter (AbstractShapeBase *shape) noexcept

## Static Public Attributes
static const char * | MODEL_NAME = "aws.greengrass#UpdateStateRequest"

## Protected Member Functions
Aws::Crt::String | GetModelName () const noexcept override

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::AbstractShapeBase
Crt::Allocator * | m_allocator

## Constructor & Destructor Documentation

## ◆ UpdateStateRequest() [1/2]

Aws::Greengrass::UpdateStateRequest::UpdateStateRequest | ( |  | ) |
| inlinenoexcept

## ◆ UpdateStateRequest() [2/2]

Aws::Greengrass::UpdateStateRequest::UpdateStateRequest | ( | const UpdateStateRequest & |  | ) |
| default

## Member Function Documentation

## ◆ GetModelName()

Aws::Crt::String Aws::Greengrass::UpdateStateRequest::GetModelName | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ GetState()

Aws::Crt::Optional< ReportedLifecycleState > Aws::Greengrass::UpdateStateRequest::GetState | ( |  | ) |
| noexcept

## ◆ operator<()

bool Aws::Greengrass::UpdateStateRequest::operator< | ( | const UpdateStateRequest & |  | ) | const
| noexcept

## ◆ s_allocateFromPayload()

Aws::Crt::ScopedResource< AbstractShapeBase > Aws::Greengrass::UpdateStateRequest::s_allocateFromPayload | ( | Aws::Crt::StringView | stringView,
|  | Aws::Crt::Allocator * | allocator
| ) |  |
| staticnoexcept

## ◆ s_customDeleter()

void Aws::Greengrass::UpdateStateRequest::s_customDeleter | ( | UpdateStateRequest * | shape | ) |
| staticnoexcept

## ◆ s_loadFromJsonView()

void Aws::Greengrass::UpdateStateRequest::s_loadFromJsonView | ( | UpdateStateRequest & | updateStateRequest,
|  | const Aws::Crt::JsonView & | jsonView
| ) |  |
| staticnoexcept

## ◆ SerializeToJsonObject()

void Aws::Greengrass::UpdateStateRequest::SerializeToJsonObject | ( | Aws::Crt::JsonObject & | payloadObject | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ SetState()

void Aws::Greengrass::UpdateStateRequest::SetState | ( | ReportedLifecycleState | state | ) |
| noexcept

## Member Data Documentation

## ◆ MODEL_NAME

const char * Aws::Greengrass::UpdateStateRequest::MODEL_NAME = "aws.greengrass#UpdateStateRequest"
| static

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp